Package custodia

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See custodia in the Fedora Pagure, or go directly to the corresponding spec file.

Upstream

There's an official release that includes Python 3 support.

Links

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • custodia-0.5.0-11.fc28
    • /usr/bin/python3
  • python2-custodia-0.5.0-11.fc28
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python2-custodia-extra-0.5.0-11.fc28
    • × python(abi) = 2.7
  • python3-custodia-0.5.0-11.fc28
    • /usr/bin/python3
    • python(abi) = 3.6
  • python3-custodia-extra-0.5.0-11.fc28
    • python(abi) = 3.6
Links

Dependent packages

Run time

Build time

None.

Dependency Tree

Run time

Build time

Project Size

~1.7K total lines of code
~1.7K (100%) Python
(approximation as of 0.1.0-2.fc23)

Groups

Dependencies

Run time

1 Python 3 only; 6 Dual support; 1 Dropped
Package Upstream Fedora
  python-configparser  
  python-etcd  
  python-jwcrypto  
  python-requests  
  python-setuptools  
  python-systemd  
  python3   bug (NEW)
  python2   X

Build time

2 Python 3 only; 9 Dual support; 1 Dropped
Package Upstream Fedora
  pytest  
  python-configparser  
  python-coverage  
  python-docutils   bug (CLOSED RAWHIDE)
  python-etcd  
  python-jwcrypto  
  python-requests  
  python-setuptools  
  python-systemd  
  python-tox  
  python3   bug (NEW)
  python2   X